REM INFO: Swap Dimensions.csc v1.3 (PP12)
REM Copyright  James Aswell, 2000-2002
REM 
REM DESCRIPTION:
REM Swap the Width and Height of an image.

WITHOBJECT "CorelPhotoPaint.Automation.12"

ON ERROR GOTO ERRORHANDLER

	hDPI& = .GetDocumentXdpi()
	vDPI& = .GetDocumentYdpi()
	xVal& = .GetDocumentWidth()
	yVal& = .GetDocumentHeight()

	.ImageResample yVal&, xVal&, hDPI&, vDPI&, TRUE

END WITHOBJECT

STOP

ERRORHANDLER:
SELECT CASE ERRNUM
	CASE 603
		RESUME NEXT
	CASE ELSE
		MESSAGE "Unexpected Error:" + STR(ERRNUM)
		RESUME NEXT
END SELECT
